
@import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');

*{
    font-family: 'Roboto';
}

body{
    margin: 0;
    padding: 0;
}

.w-100{
    width: 100%;
    margin: auto;
}
.text-center{
    text-align: center;
}

div.youtube_player{
    width: 100%;
    height: 600px;
}
div.youtube_player iframe{
    width: 100%;
    height: 100%;
}

/* ***************************************** */
/* DESIGN TARTEAUCITRON */

/******************* NIVEAU 1 *******************/

/* Background pop-up Niv.1 */
html body #tarteaucitronRoot #tarteaucitronAlertBig{
    background-color: #ffffff!important;
    border: #696969 3px solid!important;
    font-size: 0.8rem;
    min-width: 250px!important;
    max-width: 400px!important;
    transition: all 1s ease!important;
    padding: 55px 25px 35px!important;
    /* font-size: 2rem!important; */

    display: flex;
    flex-direction: column!important;
    align-items: flex-end;
    flex-wrap: nowrap;

box-shadow: 0 10px 36px rgba(0, 0, 0, 0.16)!important;
}

/* Titre du pop-up Niv.1 */
div#tarteaucitronAlertBig::before{
    color: #0a0a0a!important;
    font-size: 1.7rem!important;
    width: 100%;
    /* margin: 40px 0 0; */

    order: 0;
}


/* Texte principale pop-up Niv.1 */
#tarteaucitronDisclaimerAlert{
    text-align: start!important;
    color: #696969!important;
    font-size: 1.1rem!important;
    line-height: normal!important;

    margin: 16px 0 30px!important;
    padding: 0!important;
}
#tarteaucitronDisclaimerAlert a {
    color: #198754!important;
}

/* Texte bouton pop-up Niv.1 */

#tarteaucitronRoot #tarteaucitronAlertBig button{
    font-size: 1.1rem!important;
}

/* btn refuser */
#tarteaucitronAllDenied2{
    background-color: transparent!important;
    color: #0a0a0a!important;
    text-align: end;
    font-size: 1.1rem!important;
    padding: 0!important;

    order: -1;

    position: absolute;
    top: 4%;
    right: 4%;
}

/* Container btn Accept & Perso */
.tarteaucitronContainer{
    width: 100%;

    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    align-items: center;
}

/* btn Accepter */
#tarteaucitronPersonalize2{
    background-color: #198754!important;
    padding: 18px!important;
    border-radius: 6px!important;
    margin: 0!important;
    /* color: #2B2B2B!important; */

    /* flex: 0 1 95px; */
}

#tarteaucitronPersonalize2:hover{
    background-color: #166440!important;
}

/* Hover */
#tarteaucitronAllDenied2:hover,
#tarteaucitronCloseAlert:hover{
    text-decoration: underline #696969!important;
}


/* btn Personnaliser */
#tarteaucitronRoot #tarteaucitronAlertBig button#tarteaucitronCloseAlert{
    background-color: transparent!important;
    color: #0a0a0a!important;
    padding: 0!important;
    margin: 0!important;
    font-size: 1.1rem!important;

    flex: 0 1 95px;
}


/******************* NIVEAU 2 *******************/

/* Border box Niv2 */
div#tarteaucitronServices{
    border: #696969 3px solid!important;
    border-radius: 20px!important;
}

/* Background box Niv2 */
div#tarteaucitronServices div#tarteaucitronMainLineOffset{
    background-color: #fff!important;
}

/* Btn close box Niv 2 */
button#tarteaucitronClosePanel{
    background-color: #696969!important;
}

/* Titre box Niv 2 */
#dialogTitle{
    color: #494949!important;
}
/* Descriptif Niv 2 */
#tarteaucitronInfo{
    background-color: #fff!important;
    color: #494949!important;
    border-top: none!important;
}
#tarteaucitronInfo a {
    color: #696969!important;
    font-size: 16px!important;
    font-weight: 500!important;
}

/* Boutons info */
div.tarteaucitronTitle>button{
    background-color: #8d8d8d!important;
}
button.catToggleBtn{
    background-color: #696969!important;
}

.tarteaucitronDetails{
    background-color: #696969!important;
    color: #fafbff!important;
}

#tarteaucitronRoot .tarteaucitronStatusInfo{
    display: block!important;
}

/* Background inter-info */

div.tarteaucitronBorder ul li div.tarteaucitronTitle{
    background: #fff!important;
}

/* Background info */

div.tarteaucitronBorder ul li.tarteaucitronLine {
    background-color: #e4e4e442!important;
}

div.tarteaucitronBorder ul li.tarteaucitronLine:hover{
    background-color: #e4e4e4af!important;
}


/* logo tarteaucitron bottom right to left */
#tarteaucitronIcon {
    width: 50px!important;
}

.tarteaucitronIconBottomRight{
    left: 0!important;
}


/* MediaQueries */
@media screen and (max-width: 900px){
    .tarteaucitronContainer{

    font-size: 0.8rem!important;
    }

    #tarteaucitronRoot div#tarteaucitronAlertBig button {
        margin: 0!important;
    }

    #tarteaucitronAllDenied2.tarteaucitronDeny{
        margin: 0 0 0 0!important;
    }
}

@media screen and (max-width: 510px){
    .tarteaucitronContainer{
            width: 100%!important;
    }
    #tarteaucitronRoot div#tarteaucitronAlertBig button {
        margin: auto!important;
    }
}

@media screen and (max-width: 400px) {
    #tarteaucitronRoot div#tarteaucitronAlertBig button {
        margin: 0 auto 10px!important;
    }
}